Consumer Inbox

GEThttps://sandbox-api.truthlocks.com/v1/consumer/inboxAuth required

List inbox items for the authenticated consumer. Returns credentials that have been delivered to the consumer's wallet. Filter by read state to show unread, all, or archived items.

Query Parameters

read_statestring

Filter by read state: UNREAD (default), ALL, READ, or ARCHIVED

Defaults to UNREAD

Responses

[
  {
    "id": "770e8400-e29b-41d4-a716-446655440002",
    "consumer_tenant_id": "660e8400-e29b-41d4-a716-446655440001",
    "consumer_id": "550e8400-e29b-41d4-a716-446655440000",
    "issuer_id": "880e8400-e29b-41d4-a716-446655440003",
    "attestation_id": "990e8400-e29b-41d4-a716-446655440004",
    "delivery_state": "DELIVERED",
    "read_state": "UNREAD",
    "safe_metadata": {
      "schema": "identity.kyc.basic",
      "issuer_name": "Acme Corp"
    },
    "created_at": "2026-03-12T10:00:00Z",
    "updated_at": "2026-03-12T10:00:00Z",
    "issuer_name": "Acme Corp"
  }
]
GET/v1/consumer/inbox
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request GET \
  --url https://sandbox-api.truthlocks.com/v1/consumer/inbox \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{}'
Response

Click Try It! to send a real request, or view sample responses: